<?xml version="1.0" encoding="UTF-8"?>
<schema fpi="http://schemas.opengis.net/timeseriesml/1.0/interleaved_timeseries_observation.sch" see="http://www.opengis.net/spec/timeseriesml/1.0/req/xsd-measurement-timeseries-tvp-observation"
  xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
   <!-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
       This document is under construction and has not yet been tested.
       !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->
 
  <!--
        This Schematron schema checks that the type of the observation result is correct. 
        
        OGC TimeseriesML 1.0 is an OGC Standard.
        Copyright (c) 2015 Open Geospatial Consortium.
        To obtain additional rights of use, visit http://www.opengeospatial.org/legal/ .
        
        version="1.0.0"
    -->

  <title>OGC TimeseriesML 1.0 measurement timeseries (TVP) observation</title>
  <p>Verifies that the OM_Observation result type is valid according to the TimeseriesML 1.0 measurement timeseries (TVP) observation . Tests
    requirements from http://www.opengis.net/spec/timeseriesml/1.0/req/xsd-measurement-timeseries-tvp-observation</p>
  <ns prefix="tsml" uri="http://www.opengis.net/timeseriesml/1.0"/>
  <ns prefix="om" uri="http://www.opengis.net/om/2.0"/>
  <ns prefix="gml" uri="http://www.opengis.net/gml/3.2"/>
  <ns prefix="xlink" uri="http://www.w3.org/1999/xlink"/>

  <xsl:import-schema schema-location="http://schemas.opengis.net/timeseriesml/1.0/timeseriesML.xsd" namespace="http://www.opengis.net/timeseriesml/1.0"/>
  
  <xsl:import-schema schema-location="http://schemas.opengis.net/gml/3.2.1/gml.xsd" namespace="http://www.opengis.net/gml/3.2"/>

  <pattern id="result">
    <title>Test requirement: /req/xsd-measurement-timeseries-tvp-observation/result </title>
    <rule context="//om:OM_Observation/om:result">
      <assert test="schema-element(tsml:MeasurementTVP)">result must contain an element in the substitution group headed by tsml:MeasurementTVP</assert>
    </rule>
  </pattern>
  
</schema>
